Debug Class Reference

`#include <Debug.h>`

List of all members.

## Public Member Functions

| Debug (bool logToFile)
| ~Debug (void)
void | message (std::string msg)
void | message (const char *msg,...)

## Static Public Member Functions

static bool | openLog (bool logToFile)
static void | closeLog (void)

## Static Public Attributes

static Debug * | logger = NULL

## Detailed Description

Definition at line 6 of file Debug.h.

## Constructor & Destructor Documentation

Debug::Debug | ( | bool | logToFile | ) |

Definition at line 20 of file Debug.cpp.

Debug::~Debug | ( | void |  | ) |

Definition at line 35 of file Debug.cpp.

## Member Function Documentation

void Debug::closeLog | ( | void |  | ) | `[static]`

Definition at line 94 of file Debug.cpp.

void Debug::message | ( | const char * | msg,
|  |  | ...
| ) |  |

Definition at line 56 of file Debug.cpp.

void Debug::message | ( | std::string | msg | ) |

Definition at line 49 of file Debug.cpp.

bool Debug::openLog | ( | bool | logToFile | ) | `[static]`

Definition at line 84 of file Debug.cpp.

## Member Data Documentation

Debug * Debug::logger = NULL`[static]`

Definition at line 17 of file Debug.h.

The documentation for this class was generated from the following files:

- src/libUnuk/Debug.h
- src/libUnuk/Debug.cpp

All Classes Files Functions Variables Typedefs Enumerations Enumerator Defines